Skip to main content

Get Audit Activity Timeline

Returns the audited user-action timeline for the group for a given month - who performed which management action (START, STOP, RESIZE, ATTACH_SG, ATTACH_VPC, ATTACH_PUBLIC_IP, UPDATE_POLICY, LAUNCH, and so on), when, from which client IP, and whether it succeeded. Filter with the required year and month query parameters.

GET/api/v1/scaler/scalegroups/timeline/{scaler_id}/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • yearQueryintegerrequired

    Four-digit year to filter the timeline by.

    • required
    • four-digit year
    example2026
  • monthQueryintegerrequired

    Month (1-12) to filter the timeline by.

    • required
    • integer between 1 and 12
    example6
  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object

Audited user-action timeline for the group for the requested month.

codeinteger
example200
dataarray
errorsobject
messagestring
exampleSuccess